BEGIN ~TCHARLO3~ 2

IF WEIGHT #0 ~Gender(LastTalkedToBy(),male) RandomNum(8,1)~ THEN BEGIN 0
  SAY ~Oy!  Ye're lookin' fer a good time, mayhap, aye?~
  IF ~~ THEN EXIT
END

IF WEIGHT #4 ~RandomNum(6,1)~ THEN BEGIN 1
  SAY ~Don't mind the scars, darlin'... I've skill enough t' please any man!~
  IF ~~ THEN EXIT
END

IF WEIGHT #5 ~RandomNum(6,2)~ THEN BEGIN 2
  SAY ~Ye'll not find the guards anywhere in the docks, me dear.  The Night Masks run this part o' the city, they does.~
  IF ~~ THEN EXIT
END

IF WEIGHT #6 ~RandomNum(6,3)~ THEN BEGIN 3
  SAY ~I'm better than any o' the other girls in the Docks... and you can tells 'em I says so!~
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~Gender(LastTalkedToBy(),female) RandomNum(8,2)~ THEN BEGIN 4
  SAY ~Sorry, darlin'... ye're lookin' in the wrong part o' town.  Try Daisy's... they might haves somethin' for ye.~
  IF ~~ THEN EXIT
END

IF WEIGHT #7 ~RandomNum(6,4)~ THEN BEGIN 5
  SAY ~I pities the new girls that works the streets, I does.  They don't know how rough the docks really are.~
  IF ~~ THEN EXIT
END

IF WEIGHT #8 ~RandomNum(6,5)~ THEN BEGIN 6
  SAY ~I never bothers with those nobles.  They don't pay well, an' they don't let us come near their homes, neither.  Don't want their wifes knowin', I guess.~
  IF ~~ THEN EXIT
END

IF WEIGHT #9 ~RandomNum(6,6)~ THEN BEGIN 7
  SAY ~Hmmm... you seen some sailors around here, aye?~
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~See("TCALTHON") InParty("TCALTHON") !StateCheck("TCALTHON",STATE_SLEEPING) RandomNum(2,1) Global("TCharlot1Althon","TC1000",0)~ THEN BEGIN 8
  SAY ~Mmmm, now ye there in the dark beard... ye looks like a fine man.  Care t' barter, aye?~
  IF ~~ THEN DO ~SetGlobal("TCharlot1Althon","TC1000",1)~ EXTERN ~TCALTHOJ~ Althon2Harlot
END

IF WEIGHT #3 ~See("TCVILD") InParty("TCVILD") !StateCheck("TCVILD",STATE_SLEEPING) RandomNum(2,1) Global("TCharlot1Vild","TC1000",0)~ THEN BEGIN 9
  SAY ~Hallo there, my lovely one!  Ye looks like a man o' the street, aye?  Care to taste a sample o' it?~
  IF ~~ THEN DO ~SetGlobal("TCharlot1Vild","TC1000",1)~ EXTERN ~TCVILDJ~ Vild2Harlot
END


APPEND ~TCALTHOJ~

IF ~~ THEN BEGIN Althon2Harlot
  SAY ~I'll not submit to your foul charms, slattern.  We really must leave this foul place at once.~
  IF ~~ THEN EXIT
END
END

APPEND ~TCVILDJ~

IF ~~ THEN BEGIN Vild2Harlot
  SAY ~Sorry dear but my tastes are for young innocent maidens.  No offense.~
  IF ~~ THEN EXIT
END
END
